@use './styles/form-textarea.variations' as variations;
@use './styles/form-textarea.variables' as *;

:host {
	@include digi-form-textarea--variables;

	.digi-form-textarea {
		display: flex;
		flex-direction: column;
		gap: 0.4em;

		&--small {
			@include variations.small;
		}

		&--medium {
			@include variations.medium;
		}

		&--large {
			@include variations.large;
		}

		&--neutral {
			@include variations.neutral;
		}

		&--empty:not(:focus-within) {
			@include variations.empty;
		}

		&--success {
			@include variations.success;
		}

		&--warning {
			@include variations.warning;
		}

		&--error {
			@include variations.error;
		}

		&__content {
			width: 100%;
		}

		&__textarea {
			height: var(--HEIGHT);
			width: inherit;
			font-family: var(--digi--global--typography--font-family--default);
			font-size: var(--digi--typography--body--font-size--desktop);
			padding: var(--digi--form-textarea--padding);
			color: var(--digi--color--text--primary);
			background: var(--BACKGROUND);
			border: var(--BORDER);
			border-color: var(--BORDER-COLOR);
			border-radius: var(--digi--form-textarea--border-radius);

			&:focus-visible {
				box-shadow: 0 0 0.1rem 0.05rem var(--digi--color--border--informative); // Fallback if --digi--focus-shadow does not exist
				box-shadow: var(--digi--focus-shadow);
				outline: var(--digi--focus-outline);
			}

			box-sizing: border-box;
		}
	}
}
